<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ProcessInfo](./bitburner.processinfo.md)

## ProcessInfo interface

A single process on a server.

**Signature:**

```typescript
interface ProcessInfo 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [args](./bitburner.processinfo.args.md) |  | (string \| number \| boolean)\[\] | Script's arguments |
|  [filename](./bitburner.processinfo.filename.md) |  | string | Script name. |
|  [pid](./bitburner.processinfo.pid.md) |  | number | Process ID |
|  [temporary](./bitburner.processinfo.temporary.md) |  | boolean | Whether this process is excluded from saves |
|  [threads](./bitburner.processinfo.threads.md) |  | number | Number of threads script is running with |

